<!-- 搜索表单 -->
<template>
  <el-form
    label-width="90px"
    class="ele-form-search"
    @keyup.enter.native="search"
    @submit.native.prevent
  >
    <el-row :gutter="15">
      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label="工序名称:">
  
          <el-select size="mini"   @change="search" v-model="where.taskId"  filterable>
            <el-option
              v-for="(item, index) in produceTaskList"
              :key="index"
              :label="item.name"
              :value="item.id"
            ></el-option>
          </el-select>
        </el-form-item>
      </el-col>

      <el-col v-bind="styleResponsive ? { lg: 6, md: 12 } : { span: 6 }">
        <el-form-item label-width="0px">
          <el-button
            size="mini"
            type="primary"
            icon="el-icon-search"
            class="ele-btn-icon"
            @click="search"
          >
            查询
          </el-button>
          <el-button
            size="mini"
            @click="reset"
            icon="el-icon-refresh-left"
            type="primary"
            >重置</el-button
          >
        </el-form-item>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
  import { produceTask } from '@/api/InTheSystem/index';
  export default {
    props: [],
    data() {
      // 默认表单数据
      const defaultWhere = {
        taskId: '',
        code: ''
      };
      return {
        // 表单数据
        where: { ...defaultWhere },

        produceTaskList: []
      };
    },
    computed: {
      // 是否开启响应式布局
      styleResponsive() {
        return this.$store.state.theme.styleResponsive;
      }
    },
    watch: {},
    created() {
      this.getTaskList();
    },
    methods: {
      getTaskList() {
        let params = {
              pageNum: 1,
              size: -1
          }
        produceTask(params).then((res) => {
          this.produceTaskList = res.list;
          this.where.taskId =  res.list[0].id


           if(this.where.taskId) {
            this.$emit('search', this.where);
           }
        
        });
      },

      /* 搜索 */
      search() {
        this.$emit('search', this.where);
      },
      /*  重置 */
      reset() {
        this.where = { ...this.defaultWhere };
        this.search();
      }
    }
  };
</script>
<style lang="scss" scoped>
  .ele-form-actions {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
</style>
